nischown(1)

NAME
nischown - change the owner of a NIS+ object

SYNOPSIS
nischown [ -ALPf ] owner name...

DESCRIPTION
nischown changes the owner of the NIS+ objects or entries specified by name to owner. Entries are specified using indexed names (see nismatch(1)). If owner is not a fully qualified NIS+ principal name (see nisaddcred(8)), the default domain (see nisdefaults(1)) will be appended to it.

The only restriction on changing an object's owner is that you must have modify permissions for the object. Note: If you are the current owner of an object and you change ownership, you may not be able to regain ownership unless you have modify access to the new object.

The command will fail if the master NIS+ server is not running.

OPTIONS

-A  Modify all entries in all tables in the concatenation path that match the search criteria specified in name. It implies the -P option.

-L  Follow links and change the owner of the linked object or entries rather than the owner of the link itself.

-P  Follow the concatenation path within a named table. This option is only meaningful when either name is an indexed name or the -L option is also specified and the named object is a link pointing to entries.

-f  Force the operation and fail silently if it does not succeed.

EXAMPLES

The following example show how to change the owner of an object.

    example% nischown foo.remote.bar. object

This example shows how to change the owner of an entry in the passwd table.

    example% nischown foo.remote.bar. '[uid=99],passwd.org_dir'

ENVIRONMENT

NIS_PATH
    If this variable is set, and the NIS+ name is not fully qualified, each directory specified will be searched until the object is found (see nisdefaults(1)).

EXIT CODES

nischown returns 0 on success and 1 on failure.

SEE ALSO
nischgrp(1) nischmod(1), nischttl(1), nisdefaults(1), nisaddcred(8)

AUTHOR
This version of the nischown command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.